<template>
  <div v-if="table_divs" class="rendered_table" :key="language_switch" role="grid" aria-label="Rendered table">
    <span v-html="table_css"></span>
    <TableNode :node="table_divs" v-on:nodeClicked="nodeClicked"></TableNode>
  </div>
  <div v-else class="q-pa-sm">
    Ophalen gegevens..
    <q-linear-progress indeterminate rounded color="accent" class="q-mt-sm"/>
  </div>
</template>

<script>
import {api} from 'boot/axios'
import TableNode from "components/TableNode";
import SharedMethods from "components/SharedMethods";

export default {
  name: "HtmlTable",
  components: {TableNode},
  props: {
    linkrole_id: undefined,
    linkrole_role_uri: undefined,
    dts_name: undefined,
    nt_version: undefined
  },
  data() {
    return {
      table_divs: undefined,
      table_css: undefined,
      concept_detail_id: undefined,
      style: "style",
      language_switch: 0,
    }
  },
  watch: {
    linkrole_id: function () {
      this.fetchData()
    },
    dts_name: function () {
      this.fetchData()
    },
    "$route.query.lang": function () {
      this.language_switch = this.$route.query.lang
    }
  },
  mounted() {
    this.fetchData()
  },
  methods: {
    fetchData: function () {
      if (this.dts_name && this.linkrole_id && this.nt_version) {
        api
          .get("/dts/" + this.dts_name + "/render_table/" + this.linkrole_id,
            {params: {nt_version: this.nt_version, linkrole_role_uri: this.linkrole_role_uri}})
          .then(response => {
            this.table_css = response.data.css
            this.table_divs = response.data.divs
          })
      }
    },
    nodeClicked: function (node) {
      this.$emit('nodeClicked', node)
    }

  }
}
</script>

<style scoped lang="scss">
.rendered_table {
  width: 95%;
  margin: 2%;
}
</style>
